#!/usr/bin/Rscript --slave
library(ggplot2)

# Chargement des données
perf                <- read.table("../data/src/dataTree.tsv", header = TRUE)

perfOpeAdd          <- perf[(perf$Operation == "add") & (perf$Size == "100000") , ]
perfOpeContains     <- perf[(perf$Operation == "contains") & (perf$Size == "100000") , ]
perfOpeRemove       <- perf[(perf$Operation == "remove") & (perf$Size == "100000") , ]


# Analyses de la version initiale
png("../data/plots/v0_exectime_add.png")
ggplot (data = perfOpeAdd, aes(x = OpSize, y = Time, color = Type)) +
	geom_point() + geom_smooth() +
	ggtitle("Temps d'execution global pour l'ajout d'objets\ndans des structures de 100.000 objets")

png("../data/plots/v0_exectime_contains.png")
ggplot (data = perfOpeContains, aes(x = OpSize, y = Time, color = Type)) +
	geom_point() + geom_smooth() +
	ggtitle("Temps d'execution global pour la recherche d'objets\ndans des structures de 100.000 objets")

png("../data/plots/v0_exectime_remove.png")
ggplot (data = perfOpeRemove, aes(x = OpSize, y = Time, color = Type)) +
	geom_point() + geom_smooth() +
	ggtitle("Temps d'execution global pour la suppression d'objets\ndans des structures de 100000 objets")

png("../data/plots/v0_memory_add.png")
ggplot(data = perfOpeAdd, aes(x = OpSize, y = Mem, color = Type)) +
	geom_point() + geom_smooth() +
	ggtitle("Utilisation globale de la mémoire pour l'ajout d'objets\ndans des structures de 100.000 objets")

png("../data/plots/v0_memory_contains.png")
ggplot(data = perfOpeContains, aes(x = OpSize, y = Mem, color = Type)) +
	geom_point() + geom_smooth() +
	ggtitle("Utilisation globale de la mémoire pour la recherche d'objets\ndans des structures de 100.000 objets")

png("../data/plots/v0_memory_remove.png")
ggplot(data = perfOpeRemove, aes(x = OpSize, y = Mem, color = Type)) +
	geom_point() + geom_smooth() +
	ggtitle("Utilisation globale de la mémoire pour la suppression d'objets\ndans des structures de 100.000 objets")

dev.off()
